@import "variables/colors";
@import "variables/font";

.repayment-logic {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  overflow-y: auto;
  height: 100vh;

  .container-form {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    padding: 2rem 0;

    .form {
      align-items: flex-start;
      display: flex;
      gap: 2rem;
      justify-content: flex-start;
      padding: 0.5rem 0;
      &.day-of-week {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 1rem;
      }

      &__buttons {
        display: flex;
        gap: 1rem;
        justify-content: flex-end;
      }
    }
  }

  .card-content {
    display: flex;
    flex-direction: column;
    gap: 2rem;
  }
  .first-secction {
    padding: 1rem;
  }
  .term-of-credit {
    &__terms {
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      .term {
        padding: 1rem;
        background-color: $neutral;
        color: $neutral-40;
        font-size: 16px;
        font-family: $roboto-bold;
        border-radius: 8px;
        min-width: 120px;
        &.active {
          color: $caribbean-green-80;
        }
      }
    }
  }

  .radio {
    &__note {
      margin: 0;
      padding: 0;
      font-size: 10px;
      color: $warning-60;
    }
  }
}
